<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>

<body>
    <script>
        var modulos = ["m02", "m03", "m04", "m05", "m06", "m07", "m08", "FOL"]
        var alumnoNotas = [[8, 9, 4], [9, 10], [6, 8, 10], [4], [8, 4, 7], [], [7, 5, 9, 10], [10]]
        
        function creaMap(modulos,alumnoNotas) {
            let m = new Map();
            for(let i in modulos){
                m.set(modulos[i], alumnoNotas[i])
            }
            return m;
        }

        var mapModulos = creaMap(modulos, alumnoNotas);
        console.log(mapModulos);

        mapModulos.set('mo7', [7.5, 6]);
        console.log(mapModulos);
        console.log(mapModulos.get('mo7'));
        var setModulos = new Set(mapModulos.keys());
        console.log(setModulos);

        let map1 = newMap();
        modulos.forEach((modulos, indice) => {map1.set(modulos, alumnoNotas[indice])});
        console.log(map1);
        map1.set('m07',['pepep']);
    </script>
</body>

</html>